Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 859415 - dev-python/sip: restore old to fix sci-geosciences/qgis-9999 build
Summary: dev-python/sip: restore old to fix sci-geosciences/qgis-9999 build
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2022-07-19 22:53 UTC by José de Paula Rodrigues
Modified: 2022-08-13 13:56 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Fixes AttributeError: 'ScopedName' object has no attribute 'replace' (fix_proto.patch,650 bytes, patch)
2022-08-12 02:42 UTC, José de Paula Rodrigues
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description José de Paula Rodrigues 2022-07-19 22:53:59 UTC
=sci-geosciences/qgis-9999 doesn't build against the versions of dev-python/sip currently on the Gentoo repo (4.19.25-r1 and 6.6.1 respectively).

In order to convince it to build, I've checked out the old sip-6.5.0-r1 ebuild; with it everything went smoothly.

Also, unfortunately qgis-9999 still won't build against sip-6.6.2 (which is the current upstream release, not yet on the repos).

Could the commit 6532c1a81af9e7d84273d19d42ead62d773139ad be reverted?

Reproducible: Always
Comment 1 Kalin KOZHUHAROV 2022-07-21 13:48:53 UTC
Also neither qgis-3.22.8 nor qgis-3.22.9 build :-/

I also tried to create sip-6.2.2 but qgis could NOT be built as well (cannot find sipconfig).
Comment 2 Larry the Git Cow gentoo-dev 2022-07-24 17:06:09 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fb4f5189ffc8e87e3c17c4a4c60a899ae83b8b81

commit fb4f5189ffc8e87e3c17c4a4c60a899ae83b8b81
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-07-24 17:05:51 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-07-24 17:05:59 +0000

    dev-python/sip: add 6.6.2
    
    Bug: https://bugs.gentoo.org/823005
    Closes: https://bugs.gentoo.org/856658
    Closes: https://bugs.gentoo.org/851840
    Bug: https://bugs.gentoo.org/859415
    Signed-off-by: Sam James <sam@gentoo.org>

 dev-python/sip/Manifest         |  1 +
 dev-python/sip/sip-6.6.2.ebuild | 34 ++++++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+)
Comment 3 José de Paula Rodrigues 2022-08-12 02:40:15 UTC
Well, qgis-9999 still doesn't build against sip-6.6.2 as of 2022-08-11T20:00Z. However, there is an upstream QGIS report ( https://github.com/qgis/QGIS/issues/49214#issuecomment-1173202558 ) that indicates that the issue should be fixed with sip-6.6.3 (still unreleased).

A related QGIS report mentions the sip commit which should fix the issue, and land on their upcoming sip-6.6.3 release ( https://riverbankcomputing.com/hg/sip/diff/323d39a2d602/sipbuild/generator/parser/instantiations.py ). I've downloaded that diff as a patch to a file named /etc/portage/patches/dev-python/sip-6.6.2/fix_proto.patch and rebuilt sip 6.6.2 and qgis-9999 (mine is tailored to have >=dev-python/sip-6.6.2 as a dependency; it is the only difference from the Gentoo qgis-9999 ebuild).

Success, qgis-9999 (again, as of 2022-08-11T20:00Z) builds and runs like a champ. The patch applies cleanly, and there seems to be no side effects. Also, qgis-3.22.9 builds and runs cleanly even with the patched sip-6.6.2, so we could either make the patch against sip-6.6.2 "official" or wait for sip-6.6.3, which should contain this fix, and drop once and for all the need for sip versions older than 6.6 for all qgis versions.
Comment 4 José de Paula Rodrigues 2022-08-12 02:42:32 UTC
Created attachment 799341 [details, diff]
Fixes AttributeError: 'ScopedName' object has no attribute 'replace'

Patches cleanly against sip-6.6.2